# Generated by Django 3.2.3 on 2021-10-30 10:57

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('api', '0014_alter_useraddisplayinfo_unique_together'),
    ]

    operations = [
        migrations.CreateModel(
            name='RemoteClientInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remote_addr', models.GenericIPAddressField(verbose_name='远程IP地址')),
                ('user_agent', models.CharField(max_length=512, verbose_name='客户端agent')),
                ('method', models.CharField(max_length=16, verbose_name='请求方式')),
                ('uri_info', models.CharField(max_length=256, verbose_name='访问的URI')),
                ('a_domain', models.CharField(max_length=128, verbose_name='前端域名')),
                ('description', models.CharField(max_length=256, verbose_name='访问描述')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='访问时间')),
            ],
            options={
                'verbose_name': '客户端访问记录',
                'verbose_name_plural': '客户端访问记录',
            },
        ),
        migrations.CreateModel(
            name='IosDeveloperPublicPoolBill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('action', models.SmallIntegerField(choices=[(0, '消费'), (1, '充值'), (2, '转账')], default=0,
                                                    help_text='0 消费 1 充值 2 转账', verbose_name='资金类型')),
                ('number', models.IntegerField(default=1, verbose_name='消耗次数')),
                ('app_info', models.JSONField(blank=True, max_length=256, null=True, verbose_name='属于哪个APP')),
                ('udid_info', models.JSONField(blank=True, max_length=256, null=True, verbose_name='设备id信息')),
                ('developer_info', models.JSONField(blank=True, max_length=256, null=True, verbose_name='开发者信息')),
                ('description', models.CharField(blank=True, default='', max_length=128, verbose_name='操作描述')),
                ('remote_addr', models.GenericIPAddressField(verbose_name='远程IP地址')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='添加时间')),
                ('to_user_id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                                 related_name='to_user_id', to=settings.AUTH_USER_MODEL,
                                                 verbose_name='用户ID')),
                ('udid_sync_info',
                 models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL,
                                   to='api.udidsyncdeveloper', verbose_name='关联同步设备信息')),
                ('user_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='org_user_id',
                                              to=settings.AUTH_USER_MODEL, verbose_name='用户ID')),
            ],
            options={
                'verbose_name': '资金流转账单',
                'verbose_name_plural': '资金流转账单',
            },
        ),
    ]
